Last Comment Bug 710867 - Make inactive tabs opaque under Aero
: Make inactive tabs opaque under Aero
Status: RESOLVED FIXED
needs tabsontop
:
Product: Thunderbird
Classification: Client Software
Component: Theme (show other bugs)
: Trunk
: All Windows 7
: -- minor (vote)
: Thunderbird 11.0
Assigned To: Richard Marti (:Paenglab)
:
:
Mentors:
Depends on: tb-tabsontop
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-14 13:21 PST by Jim Porter (:squib)
Modified: 2011-12-21 13:15 PST (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Make the inactive tabs opaque (1.00 KB, patch)
2011-12-14 14:17 PST, Richard Marti (:Paenglab)
mconley: review+
bwinton: ui‑review+
Details | Diff | Splinter Review
A screenshot of the above patch (53.10 KB, image/png)
2011-12-15 07:34 PST, Mike Conley (:mconley)
no flags Details

Description Jim Porter (:squib) 2011-12-14 13:21:48 PST
Base on this screenshot <http://dl.dropbox.com/u/2301433/Screenshots/TabsOnTop/4-Gloda.png>, inactive tabs are translucent. We should follow Firefox's lead in this case and make them opaque, so no one can complain about there being too much glass. :)
Comment 1 Richard Marti (:Paenglab) 2011-12-14 13:50:35 PST
All rules equal to Firefox are also in TB's css. The problem is the order the rules are applied.

I take the Bug.
Comment 2 Richard Marti (:Paenglab) 2011-12-14 14:17:04 PST
Created attachment 581784 [details] [diff] [review]
Make the inactive tabs opaque

Fixed the order how the rules are applied and use the same bottom gradient as from the hover rule.
Comment 3 Jim Porter (:squib) 2011-12-14 17:24:50 PST
Comment on attachment 581784 [details] [diff] [review]
Make the inactive tabs opaque

Unfortunately, I don't have time to test this, so clearing the review out. Maybe mconley or andreasn could take a look?
Comment 4 Mike Conley (:mconley) 2011-12-15 07:31:53 PST
Comment on attachment 581784 [details] [diff] [review]
Make the inactive tabs opaque

This looks good to me - thanks Paenglab!
Comment 5 Mike Conley (:mconley) 2011-12-15 07:34:11 PST
Created attachment 581964 [details]
A screenshot of the above patch

Blake:

The patch looks good to me, and I agree that it looks better.  Look alright to you?

-Mike
Comment 6 Blake Winton (:bwinton) (:☕️) 2011-12-15 08:13:06 PST
Comment on attachment 581784 [details] [diff] [review]
Make the inactive tabs opaque

(Just setting ui-r=me on the patch itself...)

Yeah, I think this makes it easier to read.
Comment 7 Andreas Nilsson (:andreasn) 2011-12-20 07:00:20 PST
Move 644169 from blocking to depends, since 644169 works without this patch, but this patch won't work without 644169. Hope that is all right.
Comment 8 Mike Conley (:mconley) 2011-12-20 14:28:01 PST
Checked in to comm-central as http://hg.mozilla.org/comm-central/rev/c48dcb162b4c

Note You need to log in before you can comment on or make changes to this bug.